-- functions to calculate pollution and power usage based on a crafting speed of 1.0 derived from assembling machines
calc_pollution = function(speed, pollution_at_speed_1)
	local tmp = pollution_at_speed_1*1.0000000001*speed^(-1.4745201441)
	return tmp
end
calc_energy_usage = function(speed, energy_usage_at_speed_1)
	local tmp = energy_usage_at_speed_1*(0.702482284*math.log(speed)+1.005041301)
	tmp = tmp/10
	tmp = math.floor(tmp+0.5)
	tmp = tmp*10
	return tmp
end

-- funciton to copy a table
function table.copy(t)
  local t2 = {};
  for k,v in pairs(t) do
    if type(v) == "table" then
        t2[k] = table.copy(v);
    else
        t2[k] = v;
    end
  end
  return t2;
end
-- mycopy = table.copy(original)



