require "util"
require "story"
require "autoplace_utils"
require "dataloader"
require "math3d"
require "SJT_library"
require "config"

if spawn_dirty_ores then
	script.on_event(defines.events, function(event)
		if event.name == defines.events.on_resource_depleted then
			if string.match(event.entity.name, "dirty") then
				-- spawn trace ore
				if game.item_prototypes["trace-"..event.entity.name:gsub("dirty%-", "")] then
					event.entity.surface.create_entity({name="trace-"..event.entity.name:gsub("dirty%-", ""), amount=math.random(500, 3000), position={event.entity.position.x, event.entity.position.y}})
				else
					-- do nothing
				end

			else
				--spawn dirty ore
				if game.item_prototypes["dirty-"..event.entity.name] then
					event.entity.surface.create_entity({name="dirty-"..event.entity.name, amount=math.random(1001, 3000), position={event.entity.position.x, event.entity.position.y}})
				else
					-- do nothing
				end
			end
		end
	end)
end